<h1 class="title">Установка и настройка АТС-коннектора «Простые звонки – LG-Ericsson»</h1>

<h2>1. Системные требования</h2>
<hr>

<p>АТС-коннектор устанавливается на сервер, подключенный к совместимой АТС LG-Ericsson через LAN
соединение</p>

<p>Для установки и работы АТС-коннектора вам потребуется:</p>
<ul>
	<li>Сервер с операционной системой Windows 7, Windows 8, Windows Server 2008, Windows Server 2008 R2,
Windows Server 2012, Windows Server 2012 R2</li>
	<li>Microsoft Windows Installer 3.1</li>
	<li>Microsoft .NET Framework 2.0</li>
	<li>АТСLG-Ericsson Aria Soho</li>
	<li>LG-Ericsson TSP Driver</li>
	<li>AriaSoho TAPI лицензия, её можно бесплатно активировать в демонстрационном режиме на 60 дней</li>
	<li>Плата для АТС Aria Soho LANU LAN Interface</li>
</ul>

<p class="attention">Внимание! Для правильной работы функций «Всплывающая карточка» и «Умная переадресация» АТС
LG-Ericsson должна правильно определять номера на внешних линиях.</p>

<h2>2. Проверьте перед установкой</h2>
<hr>

<p>Перед установкой и настройкой АТС-коннектора, пожалуйста, проверьте:</p>
<ul>
	<li>Компьютер, на который вы устанавливаете АТС-коннектор, удовлетворяет системным требованиям.</li>
	<li>У вас есть доступ к серверу с правами администратора</li>
	<li>У вас есть установочный файл ProstieZvonki_LG_Ericsson.msi</li>
</ul>

<h2>3. Установка LG-Ericsson TSP Driver</h2>

<p>Если LG-Ericsson TSP Driver и TAPI лицензия уже установлены и настроены, то вы можете пропустить
этот раздел.</p>

<p>Для работы TSP драйвера вам потребуется купить TAPI лицензию для вашей АТС, или вы можете
бесплатно активировать демо-версию на 60 дней. Чтобы активировать лицензию установите telnet
соединение с вашей АТС. Появится следующий экран:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_license_activate.jpg" alt="активация лицензии через telnet"></p>

<p>В качестве пароля введите <strong>“jannie”</strong>. После успешной авторизации вы сможете вводить команды:<br>
<strong>q w 2 (lock_key)</strong> – команда для ввода ключа TAPI лицензии (lock_key–лицензионный ключ).<br>
<strong>q k start_demo_mode</strong> – команда для активации всех лицензий на 60 дней.</p>

<p>Для того чтобы изменения вступили в силу - перезагрузите АТС.</p>

<p>После успешной активации TAPI лицензии приступайте к установке TSP драйвера.</p>

<p>В качестве примера мы используем версию драйвера LG-Ericsson TSP Driver GSNSP-D.1x86 для АТС LGEricsson Aria Soho. Вы можете скачать TSP драйвер для АТС LG-Ericsson Aria Soho на <a target="_blank" href="http://prostiezvonki.ru/download">нашем сайте</a>.</p>

<p class="attention">Внимание! Используйте только ту версию TSP драйвера, которая совместима с вашей АТС LG-Ericsson.</p>

<p>Запустите файл установки <strong>setup.exe</strong>.</p>

<p>Нажмите <strong>«Next»</strong>на этом экране:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_install_next.jpg" alt="нажимаем далее"></p>

<p>На следующем экране в разделе LG-Ericsson System выберите флажок, где есть ARIA SOHO, в разделе
Service Mode выберите 3rd Party Connection, в разделе Connection Method выберите LAN и впишите IP
адрес вашей АТС, после чего нажмите <strong>«Next»</strong>:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_lan_connection.jpg" alt="установка соединения по lan"></p>

<p>После установки нажмите <strong>«Finish»</strong> и перезагрузите компьютер для того чтобы драйвер соединился с
вашей АТС:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_finish.jpg" alt="конец установки"></p>

<p>После установки вам нужно изменить настройки LG-Ericsson TSP следующим образом:</p>

1. Откройте <strong>[Телефон и модем]</strong> в Панели Управления Windows:
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_tsp_settings.jpg" alt="tsp настройки"></p>

<p>2. Создайте новое Размещение (если список Размещений пуст) или отредактируйте существующее таким
образом, чтобы <strong>«Код выхода на городскую линию»</strong> совпадал с кодом настроенным в АТС (по умолчанию
равен 9):</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_location_info.jpg" alt="настройка локации"></p>

<p>3. Навкладке <strong>[Дополнительно]</strong> выберите <strong>[Telephony Service Provider for LG-Ericsson System]</strong>:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_phone_modem_options.jpg" alt="выбор провайдера"></p>

<p>4. Нажмите <strong>[Настроить...]</strong>:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_tsp_driver_settings.jpg" alt="настройки провайдера"></p>

<p>5. В данном окне вы можете изменить настройки TSP драйвера.</p>

<p class="attention">Внимание! Если на компьютере установлено несколько сетевых подключений, то в разделе Network
Adapter Selection может быть выбран неправильный вариант соединения. Выберите правильный вариант
(Соединение с сетью, в которой находится ваша АТС LG-Ericsson).</p>

<p>6. После внесения изменений вам потребуется перезагрузить компьютер:</p>
<p><img src="images/lg/Ustanovka_nastroyka_LG_Ericsson_restart.jpg" alt="перезагрузка после установки"></p>

<h2>5. Описание файла настроек АТС-коннектора</h2>
<hr>

<p>Для настройки АТС-коннектора найдите и откройте в текстовом редакторе конфигурационный файл
config.txt. Файл находится в папке с установленным АТС-коннектором:
C:\ProgramFiles\Vedisoft\ProstieZvonki-LG-Ericsson
</p>

<p>шаблон teempaltes/install_pbx_connector.html</p>

<p>шаблон templates\smart_transfer.html</p>

<p>шаблон templates\pop_up.html</p>

<p class="attention">Внимание! Если вы хотите, чтобы клиенты сразу попадали на своих менеджеров и используете умную
переадресацию для всех входящих звонков, то вам нужно перенастроить АТС. АТС надо настроить так,
чтобы все входящие вызовы попадали на абонента, номер которого задан в параметре catch_list.
Рекомендуем задать первого абонента, у которого внутренний номер «101». Если к этому номеру
привязан какой-либо телефонный аппарат – отключите его, чтобы он не звонил, пока переводится
звонок.</p>

<h2>6. Настройка защищенного SSL соединения</h2>
<hr>

<p>шаблон templates/ssl_settings.html</p>

<h2>7. Запуск АТС-коннектора</h2>
<hr>

<p>После установки и настройки АТС-коннектора перезагрузите компьютер. Запуск АТС-коннектора
происходит автоматически при старте системы.</p>
<p>Проверьте, что АТС-коннектор запущен:<br>
1. Откройте окно «Службы»: «Панель управления» – «Администрирование» – «Службы».<br>
2. Найдите сервис Простые звонки: модуль LG.<br>
3. Состояние сервиса должно быть «Работает».<br>
В окне «Службы» вы также можете запускать и останавливать сервис вручную.</p>
<p>Проверьте, что АТС-коннектор подключился к линиям АТС:<br>
1. Откройте окно «Просмотр событий»: «Панель управления» – «Администрирование» – «Просмотр
событий».<br>
2. В разделе «Приложениях» найдите журнал «LG_Ericsson CTI».<br>
3. Найдите в нем событие где написано «Was registered XXX lines».<br>
4. Если вместо XXX написано 0, то это означает, что АТС-коннектор не смог подключиться к линиям АТС
(проверьте правильность установки и настройки LG-Ericsson TSP драйвера).</p>

<p>шаблон templates/connect_crm_to_pbx_connector.html</p>

